> For the complete documentation index, see [llms.txt](https://docs.alphaus.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alphaus.cloud/api-reference/wave-open-api/report.md).

# Report

**基本的なResponse Format**

```javascript
{
    vendor : [
        {
            id : string
            name : string
            date : [
                {
                    blended_cost : number
                    date : string
                    timestamp : number
                    true_unblended_cost : number
                    unblended_cost : number
                },...
            ]
        },...
    ]
}
```

| Response value        | type     | description                                         |
| --------------------- | -------- | --------------------------------------------------- |
| `vendor`              | *array*  | パラメーターで指定したvendor 例 : `aws`                         |
| `id`                  | *string* | - `service` servicename    - `account` account id   |
| `name`                | *string* | - `service` servicename    - `account` account name |
| `date`                | *array*  | 取得したデータ一覧                                           |
| `date`                | *string* | - `monthly` : `YYYY-MM`   - `daily` : `YYYY-MM-DD`  |
| `timestamp`           | *number* | `date` のUNIXタイムスタンプ                                 |
| `blended_cost`        | *number* | AWS CURの `lineitem/blendedcost`                     |
| `unblended_cost`      | *number* | AWS CURの `lineitem/unblendedcost`                   |
| `true_unblended_cost` | *number* | mobingiで再計算したunblendedcost                          |

## レポートの取得

**Request**

```http
GET /v1/reports/{owner}/{resolution}?from={from}&to={to}&by={by}&vendor={vendor} HTTP1.1
Content-Type: application/json
```

`{Path Variables}` の例

| Path         | description                      |
| ------------ | -------------------------------- |
| `owner`      | 使用可能な値   - `company`             |
| `resolution` | 使用可能な値   - `monthly`   - `daily` |

`Request URL` の例

```ruby
GET /v1/reports/company/monthly?from=2019-01-01&to=2019-02-01&by=service&vendor=aws
```

| Params   | description                                                                                                       |
| -------- | ----------------------------------------------------------------------------------------------------------------- |
| `from`   | 型 : *string*   フォーマット : *YYYY-MM\_DD*   説明 :   Monthly は自動的に `YYYY-MM`へ変換されます。   Daily は自動的に `YYYY-MM-DD`へ変換されます。 |
| `to`     | 型 : *string*   フォーマット : *YYYY-MM\_DD*   説明 :   Monthly は自動的に `YYYY-MM`へ変換されます。   Daily は自動的に `YYYY-MM-DD`へ変換されます。 |
| `by`     | **使用可能な値**   型 : *string*   - `service`   - `account`                                                             |
| `vendor` | **使用可能な値**   型 : *string*   - `aws`                                                                               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alphaus.cloud/api-reference/wave-open-api/report.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
